Bug 735230 - be able to alert when drift occurs
be able to alert when drift occurs
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Alerts, drift (Show other bugs)
4.0.1
Unspecified Unspecified
high Severity high (vote)
: ---
: ---
Assigned To: John Mazzitelli
Mike Foley
:
Depends On:
Blocks: 707225
  Show dependency treegraph
 
Reported: 2011-09-01 16:45 EDT by John Mazzitelli
Modified: 2012-02-07 14:19 EST (History)
1 user (show)

See Also:
Fixed In Version: 4.1 beta
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-07 14:19:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2011-09-01 16:45:29 EDT
Provide the ability to trigger alerts when drift occurs.

It would be nice to alert:

1) on any drift for a particular resource, regardless of what files changes or which drift config it was

2) when drifts from a particular drift config occurs but not other drift configs

3) only when certain files drift

4) a combination of 2 and 3 (alert only when certain files from certain drift configs change)
Comment 1 Mike Foley 2011-09-08 14:35:43 EDT
tested.  expectation that there would be a dropdown condition for drift detected, but there was not.  discussed with development.  code was not merged to master.  retest tomorrow.
Comment 2 Mike Foley 2011-09-09 10:53:02 EDT
tested.  misunderstood that the code was merged.  BZ still requires merge.  retest after that.
Comment 3 Mike Foley 2011-09-09 11:02:50 EDT
setting status to ON_DEV pending merge to master
Comment 4 John Mazzitelli 2011-09-12 10:09:21 EDT
merge complete
Comment 5 Mike Foley 2011-09-13 14:25:01 EDT
verified RHQ 4.1 09/13 build.
Comment 6 Mike Foley 2012-02-07 14:19:41 EST
changing status of VERIFIED BZs for JON 2.4.2 and JON 3.0 to CLOSED/CURRENTRELEASE

Note You need to log in before you can comment on or make changes to this bug.